Bug 124082 - [UPDATE]: audio/qmpdclient Update to new release, 1.0.9
Summary: [UPDATE]: audio/qmpdclient Update to new release, 1.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-28 23:30 UTC by Maxim Samsonov
Modified: 2008-09-27 21:10 UTC (History)
0 users

See Also:


Attachments
qmpdclient.diff (6.56 KB, patch)
2008-05-28 23:30 UTC, Maxim Samsonov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Samsonov 2008-05-28 23:30:08 UTC
Update QMPDClient to new release, 1.0.9

New features:
 - New tray icon art
 - Cover art support
 - Volume slider in tray menu
 - Middle click on tray icon toggles pause
 - Many bug fixes..

http://havtknut.tihlde.org/qmpdclient/index.php
Comment 1 Edwin Groothuis freebsd_committer 2008-05-28 23:30:15 UTC
Maintainer of audio/qmpdclient,

Please note that PR ports/124082 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124082

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-05-28 23:30:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Anton Babushkin 2008-05-31 17:13:11 UTC
On Wed, 28 May 2008 22:30:15 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of audio/qmpdclient,
> 
> Please note that PR ports/124082 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124082
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

I have compiled QMPDClient 1.0.9 and it crashes at start
(segmentation fault).

Output from gdb:
---------------------------------------------------
% gdb /usr/local/bin/qmpdclient qmpdclient.core
...
Starting program: /usr/local/bin/qmpdclient 
...
Program received signal SIGSEGV, Segmentation fault.
0x08082a9f in QList<int>::append ()
---------------------------------------------------

% pkg_info | grep qt4
qt4-corelib-4.3.4   Qt core library
qt4-designer-4.3.4  Qt ui editor
qt4-gui-4.3.4_1     Qt graphical user interface library
qt4-libQtAssistantClient-4.3.4 Qt documentation browser integration library
qt4-linguist-4.3.4  Qt localisation tool
qt4-moc-4.3.4       Qt meta object compiler
qt4-network-4.3.4   Qt network library
qt4-qmake-4.3.4     The build utility of the Qt project
qt4-qt3support-4.3.4_1 Qt3 compatibility library
qt4-rcc-4.3.4       Qt resource compiler
qt4-script-4.3.4    Qt script
qt4-sql-4.3.4       Qt SQL library
qt4-uic-4.3.4       Qt user interface compiler
qt4-xml-4.3.4       Qt XML library

% uname -a
FreeBSD xxx 6.3-STABLE FreeBSD 6.3-STABLE #9: Thu May 22 22:32:12 MSD
2008     xxx@xxx:/usr/obj/usr/src/sys/CURRENT  i386

Any ideas?

-- 
Best regards, Anton
Comment 4 Max Brazhnikov freebsd_committer 2008-09-06 11:34:08 UTC
Works fine on 7-stable with qt-4.4.1 (and on 6.3 with qt-4.3.1)
Could you check if the problem still persists for you?
Comment 5 Max Brazhnikov freebsd_committer 2008-09-20 21:07:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 Max Brazhnikov freebsd_committer 2008-09-20 21:13:06 UTC
State Changed
From-To: feedback->open

maintainer timeout
Comment 7 dfilter service freebsd_committer 2008-09-27 21:03:08 UTC
makc        2008-09-27 20:02:58 UTC

  FreeBSD ports repository

  Modified files:
    audio/qmpdclient     Makefile distinfo 
    audio/qmpdclient/files patch-qmpdclient.pro 
  Log:
  Update to 1.0.9
  New features:
  - New tray icon art
  - Cover art support
  - Volume slider in tray menu
  - Middle click on tray icon toggles pause
  - Many bug fixes...
  
  PR:             ports/124082
  Submitted by:   Maxim Samsonov <xors at mne.ru>
  Approved by:    maintainer timeout, miwi (mentor)
  
  Revision  Changes    Path
  1.5       +28 -17    ports/audio/qmpdclient/Makefile
  1.3       +36 -18    ports/audio/qmpdclient/distinfo
  1.2       +28 -22    ports/audio/qmpdclient/files/patch-qmpdclient.pro
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Max Brazhnikov freebsd_committer 2008-09-27 21:03:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!